Subject: Re: [Asrg] 'GIEIS' - The Fifth Response

From: "Mark McCarron" <[email-masked]>
Date: Fri, 04 Jul 2003 20:45:47 +0000

Thankyou for your comments.  My comments are in the body of the message 
below.  This post refers to the 'GIEIS' system currently at version 0.003.  
An update was carried out on the next 4th July 2003.  Datails of the 'CAA' 
have be released as well as details regarding the 'CICFS' filtration system. 
  'GIEIS' has an extensive list of systems to be added and they will appear 
as soon as the documentation can be written.

The 'GIEIS' system can be viewed here at:

http://homepage.ntlworld.com/giza.necropolis

Mark McCarron.

>
>Message: 1
>Date: Thu, 3 Jul 2003 15:08:20 -0500
>From: Steven F Siirila <[email-masked]>
>To: Mark McCarron <[email-masked]>
>Cc: Steve Siirila <[email-masked]>, [email-masked]
>Subject: Re: [Asrg] 'GIEIS' - The Fifth Response
>
>On Thu, Jul 03, 2003 at 08:04:23PM +0000, Mark McCarron wrote:
> > >
> > >On Thu, Jul 03, 2003 at 07:05:56PM +0000, Mark McCarron wrote:
> > >>
> > >> >>    (1) In the short to medium term
> > >> >>
> > >> >>     Devise a method of reasonably reliably identifying bulk spam,
> > >> >>     UCE or UBE and levying a charge on the senders (via any of 
>their
> > >> >>     upstream carriers, financial pain having the properties that 
>it
> > >> >>     does) which approaches that of any other method of commercial
> > >> >>     or non-private bulk message delivery and most of the TECHNICAL
> > >> >>     NETWORKING problems associated with spam - which are almost
> > >> >>     entirely due intractable volumes of traffic - would rapidly
> > >> >>     disappear.
> > >> >>
> > >> >> Mark's Response:
> > >> >>
> > >> >> The problem with this suggestion is that spammers are difficult to
> > >> >> trace and even when traced there lacks the proper legal frameworks
> > >> >> to do much about it.
> > >> >
> > >> >
> > >> >Spammers are only difficult to trace because there has been, until
> > >> >recently, little incentive to trace them and no sanctions placed
> > >> >on any injection points (which certainly can do most of the
> > >> >necessary tracing if well configured) for failure to do so.
> > >>
> > >>
> > >> Mark's Response:
> > >>
> > >> No.  The Internet crosses many legal boundries across the planet.  
>With
> > >> anonymous connections such as those by proxy (SOCKS, HTTP, etc) and
> > >those
> > >> by extensive proxy chains, simply back-tracing a tranmission is a 
>legal
> > >> nightmare.  Imagine attempting to get server logs from 40 or 50
> > >different
> > >> countries and then not even being guarenteed that the culprit is 
>still
> > >> there at the end of it all.  'GIEIS' would eliminate the need for all 
>of
> > >> this.
> > >
> > >So would simply requiring reverse DNS as well as a record indicating
> > >whether
> > >or not an IP address has been designated as an MTA.  This would make 
>all of
> > >the open proxies, hacked desktops, and dynamic IP ranges unable to send
> > >mail
> > >directly to a site's MX server, forcing them to use an ISP's SMTP 
>gateway.
> > >What you would have left is legitimate MTAs (some of which may be open
> > >relays).
> > >This is essentially where we are headed at our site by putting these 
>sorts
> > >of
> > >things into place gradually.
> > >--
> >
> >
> > Marl's Response:
> >
> > I am afraid that would not work.  Spammers would just use lists of
> > resolvable domain names.  Also, some form of centralisation would be
> > required to maintain the list you describe.  Another problem would arise
> > from sending authorisation requests cleartext over the Internet, these
> > could be intercepted and responded to allowing spammers access.  This is
> > exactly what 'GIEIS' architecture eliminates completely.
>
>The centralization you refer to is easily accomplished via DNS records.
>"Authorization" is accomplished via simple DNS lookups much the same as
>we currently use DNSbl lists already today.
>--

Mark's Response:

I'm afraid that is not a secure method.  Firstly, I can alter the haeder of 
email messages to reflect any domain.  You could quite happily look me up in 
all the DNS records you liked and I would be authorised every time.  Also, 
communications between servers is an insecure element in this structure.  
This can be intercepted an modified at run-time, thus allowing access.  Only 
'GIEIS' secures against these methods, spoofing is impossible.

Mark McCarron
http://homepage.ntlworld.com/giza.necropolis

_________________________________________________________________
Tired of 56k? Get a FREE BT Broadband connection 
http://www.msn.co.uk/specials/btbroadband

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Steven F Siirila <[email-masked]>
Date: Fri, 4 Jul 2003 19:14:47 -0500

On Fri, Jul 04, 2003 at 08:45:47PM +0000, Mark McCarron wrote:
> email messages to reflect any domain.  You could quite happily look me up 
> in all the DNS records you liked and I would be authorised every time.  
> Also, communications between servers is an insecure element in this 
> structure.  This can be intercepted an modified at run-time, thus allowing 
> access.  Only 'GIEIS' secures against these methods, spoofing is impossible.

You apparently have no clue about what I've been talking about, instead
choosing to promote your product.  Of course headers are forgeable.
Never once did I talk about headers.  I believe others on this list know
exactly what I'm talking about, so there is no point to continuing this
thread any further.